#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#ifdef __cplusplus
extern "C"
#endif
XS(XS_UTF8__Hack_utf8on)
{
    dXSARGS;
	ENTER;
	SvUTF8_on(*sp);
    XSRETURN(1);
}

#ifdef __cplusplus
extern "C"
#endif
XS(XS_UTF8__Hack_utf8off)
{
    dXSARGS;
	ENTER;
	SvUTF8_off(*sp);
    XSRETURN(1);
}

#ifdef __cplusplus
extern "C"
#endif
XS(XS_UTF8__Hack_isutf8)
{
    dXSARGS;
	dTARG;
	ENTER;
	if(SvUTF8(POPs)) /* Ouch */
		XSRETURN_YES;
	else
		XSRETURN_NO;
}

#ifdef __cplusplus
extern "C"
#endif
XS(boot_UTF8__Hack)
{
    dXSARGS;
    char* file = __FILE__;

    XS_VERSION_BOOTCHECK ;

        newXS("UTF8::Hack::utf8on", XS_UTF8__Hack_utf8on, file);
        newXS("UTF8::Hack::utf8off", XS_UTF8__Hack_utf8off, file);
        newXS("UTF8::Hack::isutf8", XS_UTF8__Hack_isutf8, file);
    XSRETURN_YES;
}

