# linkifier bug test...
use lib qw /../;
use lib::util::Command;
use flo::editor::Html;
use flo::Editor;
use flo::Standard;
use MKDoc;
use strict;
use Data::Dumper;

eval {
    +  MKDoc::init ('cgi.mkdoc');
    my $config = new lib::Config ('GLOBAL');
    
    my $string = 'foo'; 
    
    my $cfg = general_config();
    my $cmd = $cfg->get ('tidy_command') or die "tidy_command not defined";
    my $tmp_dir = $cfg->get ('temp_dir') or die "temp_dir not defined";
    my ($out, $err) = sysexec ($cmd, $tmp_dir, $string);
    
    if ($? != 0 && $? != 256)
    {
	die 'Cannot tidy: ' . $err;
    }
    
    die $out unless ($out =~ /XHTML 1\.0 Strict/); 
};

die $@ if (defined $@ and $@);


1;
