# linkifier bug test...
use lib qw /../;
use lib::util::Command;
use flo::editor::Html;
use flo::Editor;
use flo::Standard;
use MKDoc;
use strict;
use Data::Dumper;

eval {
    +  MKDoc::init ('cgi.mkdoc');
    my $config = new lib::Config ('GLOBAL');

    # check that temp directory exists
    my $tmp = $config->get ('temp_dir');
    die "temp directory does not exist" unless (-e $tmp);
    die "temp directory is not writable" unless (-w $tmp);
    die "temp directory is not readable" unless (-r $tmp);
  
    # check that temp directory exists
    my $tmp = $config->get ('cache_dir');
    die "temp directory does not exist" unless (-e $tmp);
    die "temp directory is not writable" unless (-w $tmp);
    die "temp directory is not readable" unless (-r $tmp);
};

die $@ if (defined $@ and $@);


1;
