# -------------------------------------------------------------------------------------
# flo::Template::Comment
# -------------------------------------------------------------------------------------
#
#       Author : Jean-Michel Hiver (jhiver@cisedi.com).
#    Copyright : (c) MKDoc Holdings Ltd, 2000.
# 
#      Unauthorized modification, use, reuse, distribution or redistribution
#      of this module is stricly forbidden.
#
#    Description:
#
#      This tag allows you to insert comment in your templates. These comments
#      won't appear on the template output
#
#      Usage   : <% comment %> Some comment <% end-comment %>
#
# -------------------------------------------------------------------------------------
package flo::Template::Comment;
use lib::Template::AbstractBalancedTag;
use lib::Exception;
use lib::Template;
use lib::cgi::CGI;
use strict;
use 5.6.0;
use utf8;

our @ISA = qw /lib::Template::AbstractBalancedTag/;


##
# $obj->main;
# -----------
##
sub main
{
    my $self   = shift;
    my $result = $self->result;
    my $tokens = $self->tokens;
    
    # parse and do... nothing.
    my ($info, $data) = $self->parse ($tokens);
}


1;







