# a bit of testing on the MKDoc::Lang::Latin1 to_ascii method...
use lib qw /../;
use MKDoc::Lang;
use MKDoc;
use Unicode::String;
use strict;
use Data::Dumper;

eval {
    my $string = Unicode::String::latin1 ("Mta-donnes facultatives");
    my $utf8_string = $string->utf8;
    
    my $lang = MKDoc::Lang->create ('en');

    die '[ Unicode MKDoc::Lang::Latin1::to_ascii ]'
	unless ($lang->to_ascii ($utf8_string) eq 'Meta-donnees facultatives');
};

if (defined $@ and ref $@) { $@ = "\n" . Dumper ($@) . "\n" }
die $@ if (defined $@ and $@);
